# Spojitost funkce a body nespojitosti
## Spojitost
- v  $x_0 \in D_f$
- $f(x_0) = \displaystyle{\lim_{x \to x_0}} f(x)$
- chování v bodě = chování na okolí
- poznámka: spojité funkce umíme načtrtnout jedním tahem

### Definice
- funkce je spojitá v $x_0 \in D_f$ pokud $f(x_0) = \displaystyle{\lim_{x \to x_0}} f(x)$
    - spojitá zprava, pokud $f(x_0) = f(x_0+)$
    - spojitá zleva, pokud $f(x_0) = f(x_0-)$

## Nespojitosti
- funkce f: $D_f -> H_f$ a bod $x_0 \in \mathbb R$, pro který $\exist$ prstencové okolí $P(x_0) \in D_f$
- bod $x_0$ je bod nespojitosti, **není-li $f$ v $x_0$ spojitá**
- rozlišujeme 3 případy:
    - odstranitelná nespojitost (**ON**)
        - $x_0$ je bodem **odstanitelné spojitosti**, pokud:
            - $f(x_0) \neq \displaystyle{\lim_{x \to x_0}} f(x) \in \mathbb R$
            - $f(x_0+) = f(x_0-)$
    - neodstranitelná nespojitost 1. druhu (**NN1D**)
        - $x_0$ je bodem **neodstanitelné nespojitosti 1. druhu**, pokud:
            - $f(x_0+), f(x_0-) \in R$, ale $f(x_0+) \neq f(x_0-)$
        - mluvíme o skokové nespojitosti se skokem
            - $s = f(x_0+) - f(x_0-)$
    - neodstranitelná nespojitost 2. druhu (**NN2D**)
        - $x_0$ je bodem **neodstranitelné nespojitosti**, pokud $\nexists$ alespoň 1 vlastní limita ($f(x_0+) / f(x_0-)$)
            - 2 možnosti (nevlastní / neexistuje)